### Name: latticist
### Title: A Lattice GUI
### Aliases: latticist try.prepanel.loess marginal.plot
### Keywords: hplot iplot dynamic

### ** Examples

if (interactive()) {
options(device.ask.default = FALSE)

## CO2 dataset: see ?CO2
## From an experiment on the cold tolerance of a grass species.
## Try: uptake ~ conc
##      uptake ~ conc | Plant
##      uptake ~ conc | Type, groups = Treatment
latticist(CO2)

## environmental dataset: see ?environmental
## Daily measurements related to ozone pollution in NYC 1973.
## Specify initial display:
readline("Hit Enter for 'environmental' example...")
latticist(plot = quote(parallel(environmental, col = 1)))

## National Health and Nutrition Examination Survey.
## Try: ~ Smoke, groups = Sex
##      Sex ~ Smoke
##      Smoke ~ Age | Sex
##      ~ Diet.Iron, groups = Sex
##      Hemoglobin ~ Diet.Iron | Sex
##      (with both x and y "discretized")
if (require(hexbin)) {
  readline("Hit Enter for 'NHANES' example...")
  data(NHANES)
  latticist(NHANES)
}

## audit dataset: artificial data representing tax work.
if (require(rattle)) {
  readline("Hit Enter for 'audit' example...")
  audit <- read.csv(system.file("csv", "audit.csv",
                    package = "rattle"))
  latticist(audit, new = TRUE)
}

}



